Skip to content
Last updated

Pause a connection to stop syncing, or resume by updating connection status.

Pause connection

POSThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/pause

Pauses a connection by setting its status to inactive. Syncs will stop until the connection is resumed.

Path Parameters

connection_id string required

The connection ID to pause.


Resume connection

To resume a paused connection, use the Update connection endpoint with status: "active".


Returns

The updated connection object with status set to inactive.

cURL
# Pause a connection
curl -X POST "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/pause" \
  -H "Authorization: Bearer $ACCESS_TOKEN"

# To resume, use the Update Connection endpoint (PATCH) with status "active"
# See: connections.md